#ifndef MYPROGRESSDLG_H_INCLUDED
#define MYPROGRESSDLG_H_INCLUDED

#include <wx/wxprec.h>
#ifndef WX_PRECOMP
 #include <wx/wx.h>
#endif

class MyProgressDlg : public wxDialog
{
public:
    MyProgressDlg(wxWindow* parent,bool* bStopVar=NULL);
    virtual ~MyProgressDlg();
    void SetKeywords(const wxString& keywords);
    void Pulse();
    void StartAutoPulse();
    void StopAutoPulse();
    bool IsCancelled();
    virtual bool Show(bool show=true);
protected:
private:
    wxWindow* prnt_wnd;
    wxStaticText* lblKeyWords;
    wxGauge* prgbar;
    int m_ID_Timer;
    bool bCancel,*pbStop;
    wxTimer* timer;
    void OnCancel(wxCommandEvent& event);
    void OnTimer(wxTimerEvent& event);
    DECLARE_EVENT_TABLE();
};

#endif // MYPROGRESSDLG_H_INCLUDED
