#ifndef SEARCHPANEL_H_INCLUDED
#define SEARCHPANEL_H_INCLUDED

#include "pagepanel.h"
#include "rbloader.h"
class wxListCtrl;

class SearchPanel : public PagePanel
{
public:
    SearchPanel(wxWindow* parent);
    virtual ~SearchPanel();
protected:
private:
    bool bIsSearching;
    wxArrayString songlist;
    wxTextCtrl* txtKeyWords;
    wxButton* btnSearch;
    wxStaticBox* boxResults;
    wxListBox* lstResults;
    wxListCtrl* lstQueue;
    RBLoader* ldr1,* ldr2;
    wxString sLogMsg;
    bool StartNewJob(RBLoader* loader);
    void AddToQueue(const wxString& name,const wxString& url);
    void OnBtnSearchClicked(wxCommandEvent& event);
    void OnLstResultsDblClick(wxCommandEvent& event);
    void OnRBLoaderEvent(wxCommandEvent& event);
    DECLARE_EVENT_TABLE();
};

#endif // SEARCHPANEL_H_INCLUDED
